/*------------------------------------------------------------------------------
 lib/djv_base/sys.h
 
 System

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_SYS_H
#define DJV_SYS_H

#include <djv_base/base.h>

namespace djv {
namespace sys {

// Environment variables.

Str env(const Str &);

// Search path.

List<Str> search_path();

// Terminal information.

int terminal_width();

}
}

#endif

